Subject: Re: bug#44550: 28.0.50; proposal for tabulated-list-mode to provide narrowing incremental search

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Nov 2020 17:35:35 +0200

> Date: Tue, 10 Nov 2020 22:57:35 +0300
> From: Jean Louis <[email-masked]>
> Cc: [email-masked]
> 
> - imagine list of items in tabulated-list-mode
> 
> - user press / to open up the feature (real time incremental narrowing)
> 
> - when user starts typing the list of items in tabulated-list-mode are
>   narrowing themselves visually and in real time. It is very similar
>   to completion networks.

What does "narrowing" mean in this context?  What should happen in
real time?  Do you mean "filtering", i.e. that some items should
disappear from view?  If so, what criteria should be used to filter
out items, and how is that derived from what the user types?  I'm
still confused regarding the feature you are looking for, and how it
relates to completion.

> Then I can use it for browsing trees of knowledge and narrowing huge
> index lists. Video below shows using tabulated-list-mode to brows the
> three of knowledge (17M): 
> 
> https://gnu.support/images/2020/11/2020-11-10/2020-11-10-20:10:49.ogv

Sorry, cannot watch such videos.

> In general I would like to have direct real time incremental narrowing
> of collection instead of blowing up minibuffer, making modeline jump
> up and down with ivy-mode and splitting windows.
> 
> Interface would be clean just as tabulated-list-mode is and minibuffer
> could be used for narrowing.

And now I'm completely confused: I thought you were talking about
tabulated-list-mode, but now you've made some gigantic leap to much
more general issues.